aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2014-11-29 14:36:16 +0100
committerMarius Brehler <marbre@linux.sungazer.de>2014-11-29 14:36:16 +0100
commit7b5f1838ec07132a348dbec811411f769359446b (patch)
treedc2699e794a49f9d0b5eeaf3510f385c756ca673 /sci-misc/mendeleydesktop
parentsci-misc/mendeleydesktop: add ebuild to overlay (diff)
downloadsci-7b5f1838ec07132a348dbec811411f769359446b.tar.gz
sci-7b5f1838ec07132a348dbec811411f769359446b.tar.bz2
sci-7b5f1838ec07132a348dbec811411f769359446b.zip
sci-misc/mendeleydesktop: fix missing die, EAPI and QA flags
Diffstat (limited to 'sci-misc/mendeleydesktop')
-rw-r--r--sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild b/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild
index f79a0df8d..690672de5 100644
--- a/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild
+++ b/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI="5"
inherit eutils multilib
@@ -30,7 +30,7 @@ RDEPEND=">=dev-qt/qtcore-4.6:4
>=dev-qt/qtwebkit-4.6:4
>=dev-qt/qtxmlpatterns-4.6:4"
-QA_FLAGS_IGNORED="
+QA_PREBUILT="
/opt/mendeleydesktop/lib64/libMendeley.so.${PV}
/opt/mendeleydesktop/lib64/libPDFNetC.so
/opt/mendeleydesktop/lib64/mendeleydesktop/libexec/Updater
@@ -56,12 +56,12 @@ pkg_nofetch() {
src_unpack() {
unpack ${A}
- cd "${WORKDIR}"
+ cd "${WORKDIR}" || die
if use amd64 || use amd64-linux ; then
- mv -f "${MY_P_AMD64}" "${P}"
+ mv -f "${MY_P_AMD64}" "${P}" || die
else
- mv -f "${MY_P_X86}" "${P}"
+ mv -f "${MY_P_X86}" "${P}" || die
fi
}